### Hierarchy

- NavigationService
  - WindowService

## Index

### Constructors

- constructor

### Properties

- app
- currentTarget
- screen
- alertWindow

### Accessors

- location
- title

### Methods

- alert
- back
- closePopup
- confirm
- getHostForElement
- navigate
- notify
- openPage
- openWindow
- refresh
- refreshScreen
- register
- registerForPopup
- registerHostForWindow
- registerNavigationHook
- remove

## Constructors

### constructor

- new WindowService(app: App, jsonService: JsonService): WindowService

- Overrides NavigationService.constructor

  - Defined in web/services/WindowService.ts:78

  #### Parameters

  - ##### app: App

  - ##### jsonService: JsonService

  #### Returns WindowService

## Properties

### app

app: App

Inherited from NavigationService.app

- Defined in services/NavigationService.ts:37

### currentTarget

currentTarget: HTMLElement = null

- Defined in web/services/WindowService.ts:37

### screen

screen: IScreen

- Defined in web/services/WindowService.ts:35

### Static alertWindow

alertWindow: AtomAlertWindow = AtomAlertWindow

- Defined in web/services/WindowService.ts:33

This is just to preload Alert window.

## Accessors

### location

- get location(): AtomUri
- set location(v: AtomUri): void

- Overrides NavigationService.location

  - Defined in web/services/WindowService.ts:72

  Gets current location of browser, this does not return actual location but it returns values of browser location. This is done to provide mocking behavior for unit testing.

  readonly
  type

    {AtomLocation}

  memberof

    BrowserService

  #### Returns AtomUri

- Overrides NavigationService.location

  - Defined in web/services/WindowService.ts:76

  Gets current location of browser, this does not return actual location but it returns values of browser location. This is done to provide mocking behavior for unit testing.

  #### Parameters

  - ##### v: AtomUri

  #### Returns void

### title

- get title(): string
- set title(v: string): void

- Overrides NavigationService.title

  - Defined in web/services/WindowService.ts:51

  Get current window title

  type

    {string}

  memberof

    BrowserService

  #### Returns string

- Overrides NavigationService.title

  - Defined in web/services/WindowService.ts:59

  Set current window title

  memberof

    BrowserService

  #### Parameters

  - ##### v: string

  #### Returns void

## Methods

### alert

- alert(message: string | FormattedString | any, title?: string): Promise<any>

- Overrides NavigationService.alert

  - Defined in web/services/WindowService.ts:158

  #### Parameters

  - ##### message: string | FormattedString | any

  - ##### Optional title: string

  #### Returns Promise<any>

### back

- back(): void

- Overrides NavigationService.back

  - Defined in web/services/WindowService.ts:141

  #### Returns void

### closePopup

- closePopup(): void

- - Defined in web/services/WindowService.ts:178

  #### Returns void

### confirm

- confirm(message: string | FormattedString, title: string): Promise<any>

- Overrides NavigationService.confirm

  - Defined in web/services/WindowService.ts:149

  #### Parameters

  - ##### message: string | FormattedString

  - ##### title: string

  #### Returns Promise<any>

### getHostForElement

- getHostForElement(): HTMLElement

- - Defined in web/services/WindowService.ts:204

  #### Returns HTMLElement

### navigate

- navigate(url: string): void

- Overrides NavigationService.navigate

  - Defined in web/services/WindowService.ts:137

  Navigate current browser to given url.

  memberof

    BrowserService

  #### Parameters

  - ##### url: string

  #### Returns void

### notify

- notify(message: string | FormattedString, title?: string, type?: NotifyType, delay?: number): void

- Overrides NavigationService.notify

  - Defined in web/services/WindowService.ts:226

  #### Parameters

  - ##### message: string | FormattedString

  - ##### Optional title: string

  - ##### Optional type: NotifyType

  - ##### Optional delay: number

  #### Returns void

### openPage

- openPage<T>(pageName: string | any, p?: INameValuePairs, options?: IPageOptions): Promise<T>

- Inherited from NavigationService.openPage

  - Defined in services/NavigationService.ts:50

  #### Type parameters

  - #### T

  #### Parameters

  - ##### pageName: string | any

    url

  - ##### Optional p: INameValuePairs

    parameters

  - ##### Optional options: IPageOptions

    target, clearHistory, cancelToken

  #### Returns Promise<T>

### Protected openWindow

- openWindow<T>(url: AtomUri, options?: IPageOptions): Promise<T>

- Overrides NavigationService.openWindow

  - Defined in web/services/WindowService.ts:249

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: AtomUri

  - ##### Optional options: IPageOptions

  #### Returns Promise<T>

### refresh

- refresh(): void

- Overrides NavigationService.refresh

  - Defined in web/services/WindowService.ts:200

  #### Returns void

### refreshScreen

- refreshScreen(): void

- - Defined in web/services/WindowService.ts:218

  #### Returns void

### register

- register(id: string, type: IClassOf<AtomControl>): void

- - Defined in web/services/WindowService.ts:145

  #### Parameters

  - ##### id: string

  - ##### type: IClassOf<AtomControl>

  #### Returns void

### Protected registerForPopup

- registerForPopup(): void

- - Defined in web/services/WindowService.ts:239

  #### Returns void

### registerHostForWindow

- registerHostForWindow(f: HostForElementFunc): IDisposable

- - Defined in web/services/WindowService.ts:123

  #### Parameters

  - ##### f: HostForElementFunc

  #### Returns IDisposable

### registerNavigationHook

- registerNavigationHook(callback: navigateCallback): IDisposable

- Inherited from NavigationService.registerNavigationHook

  - Defined in services/NavigationService.ts:137

  #### Parameters

  - ##### callback: navigateCallback

  #### Returns IDisposable

### remove

- remove(view: object, force?: boolean): Promise<boolean>

- Inherited from NavigationService.remove

  - Defined in services/NavigationService.ts:123

  Sends signal to remove window/popup/frame, it will not immediately remove, because it will identify whether it can remove or not by displaying cancellation warning. Only if there is no cancellation warning or user chooses to force close, it will not remove.

  #### Parameters

  - ##### view: object

  - ##### Optional force: boolean

  #### Returns Promise<boolean>

  true if view was removed successfully

Generated using TypeDoc